import { SourceComponent } from '../resolve';
import { ComponentSet } from '../collections';
import { RegistryAccess } from '../registry';
import { ConvertOutputConfig, ConvertResult, SfdxFileFormat } from './types';
export declare class MetadataConverter {
    static readonly PACKAGE_XML_FILE = "package.xml";
    static readonly DESTRUCTIVE_CHANGES_POST_XML_FILE = "destructiveChangesPost.xml";
    static readonly DESTRUCTIVE_CHANGES_PRE_XML_FILE = "destructiveChangesPre.xml";
    static readonly DEFAULT_PACKAGE_PREFIX = "metadataPackage";
    private registry;
    constructor(registry?: RegistryAccess);
    convert(comps: ComponentSet | Iterable<SourceComponent>, targetFormat: SfdxFileFormat, output: ConvertOutputConfig): Promise<ConvertResult>;
}
