import { SourcePath } from '../../common';
import { SourceComponent } from '../sourceComponent';
import { BaseSourceAdapter } from './baseSourceAdapter';
/**
 * The default source adapter. Handles simple types with no additional content.
 *
 * __Example Types__:
 *
 * Layouts, PermissionSets, FlexiPages
 *
 * __Example Structure__:
 * ```text
 * foos/
 * ├── foo.ext-meta.xml
 * ├── bar.ext-meta.xml
 *```
 */
export declare class DefaultSourceAdapter extends BaseSourceAdapter {
    protected metadataWithContent: boolean;
    protected getRootMetadataXmlPath(trigger: string): SourcePath;
    protected populate(trigger: SourcePath, component: SourceComponent): SourceComponent;
}
