"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultSourceAdapter = void 0;
const baseSourceAdapter_1 = require("./baseSourceAdapter");
/**
 * The default source adapter. Handles simple types with no additional content.
 *
 * __Example Types__:
 *
 * Layouts, PermissionSets, FlexiPages
 *
 * __Example Structure__:
 * ```text
 * foos/
 * ├── foo.ext-meta.xml
 * ├── bar.ext-meta.xml
 *```
 */
class DefaultSourceAdapter extends baseSourceAdapter_1.BaseSourceAdapter {
    constructor() {
        super(...arguments);
        this.metadataWithContent = false;
    }
    /* istanbul ignore next */
    // retained to preserve API
    // eslint-disable-next-line class-methods-use-this
    getRootMetadataXmlPath(trigger) {
        // istanbul ignored for code coverage since this return won't ever be hit,
        // unless future changes permit otherwise. Remove the ignore and these comments
        // if this method is expected to be entered.
        return trigger;
    }
    // retained to preserve API
    // eslint-disable-next-line class-methods-use-this
    populate(trigger, component) {
        return component;
    }
}
exports.DefaultSourceAdapter = DefaultSourceAdapter;
//# sourceMappingURL=defaultSourceAdapter.js.map