"use strict";
/*
 * Copyright (c) 2020, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.trimMetaXmlSuffix = exports.generateMetaXMLPath = exports.generateMetaXML = void 0;
const common_1 = require("../common");
function generateMetaXML(typeName, apiVersion, status) {
    let templateResult = '<?xml version="1.0" encoding="UTF-8"?>\n';
    templateResult += `<${typeName} xmlns="http://soap.sforce.com/2006/04/metadata">\n`;
    templateResult += `\t<apiVersion>${apiVersion}.0</apiVersion>\n`;
    if (status) {
        templateResult += `\t<status>${status}</status>\n`;
    }
    templateResult += `</${typeName}>`;
    return templateResult;
}
exports.generateMetaXML = generateMetaXML;
function generateMetaXMLPath(sourcePath) {
    return sourcePath.endsWith(common_1.META_XML_SUFFIX) ? sourcePath : `${sourcePath}${common_1.META_XML_SUFFIX}`;
}
exports.generateMetaXMLPath = generateMetaXMLPath;
function trimMetaXmlSuffix(sourcePath) {
    return sourcePath.endsWith(common_1.META_XML_SUFFIX) ? sourcePath.replace(common_1.META_XML_SUFFIX, '') : sourcePath;
}
exports.trimMetaXmlSuffix = trimMetaXmlSuffix;
//# sourceMappingURL=metadata.js.map